Bug 108889 - [CI][SHARDS] igt@sw_sync@sync_busy_fork_unixsocket - incomplete - __igt_fork_helper: Assertion `!proc->running' failed.
Summary: [CI][SHARDS] igt@sw_sync@sync_busy_fork_unixsocket - incomplete - __igt_fork_...
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: IGT (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-28 15:21 UTC by Martin Peres
Modified: 2019-07-31 13:50 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-11-28 15:21:49 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5197/shard-iclb5/igt@sw_sync@sync_busy_fork_unixsocket.html

Starting subtest: sync_busy_fork_unixsocket
sw_sync: ../lib/igt_core.c:1592: __igt_fork_helper: Assertion `!proc->running' failed.
Received signal SIGABRT.
Comment 1 Martin Peres 2018-11-28 15:24:06 UTC
Also seen on SKL: https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_149/fi-skl-6770hq/igt@sw_sync@sync_busy_fork.html

Starting subtest: sync_busy_fork
sw_sync: ../lib/igt_core.c:1592: __igt_fork_helper: Assertion `!proc->running' failed.
Received signal SIGABRT.
Comment 2 Chris Wilson 2018-11-28 15:27:29 UTC
So why was this marked incomplete and not CRASH?
Comment 3 Martin Peres 2018-11-28 15:32:30 UTC
(In reply to Chris Wilson from comment #2)
> So why was this marked incomplete and not CRASH?

+1
Comment 4 CI Bug Log 2019-01-29 16:19:40 UTC
A CI Bug Log filter associated to this bug has been updated:

{- SKL ICL: igt@sw_sync@sync_busy_fork* - incomplete - __igt_fork_helper: Assertion `!proc->running' failed. -}
{+ HSW SKL ICL: igt@sw_sync@sync_busy_fork* - incomplete - __igt_fork_helper: Assertion `!proc->running' failed. +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_186/fi-hsw-peppy/igt@sw_sync@sync_busy_fork_unixsocket.html
Comment 5 CI Bug Log 2019-01-29 16:49:54 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW SKL ICL: igt@sw_sync@sync_busy_fork* - incomplete - __igt_fork_helper: Assertion `!proc->running' failed. -}
{+ HSW SKL KBL ICL: igt@sw_sync@sync_busy_fork* - incomplete - __igt_fork_helper: Assertion `!proc->running' failed. +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_191/fi-kbl-r/igt@sw_sync@sync_busy_fork.html
Comment 7 Chris Wilson 2019-01-31 09:44:25 UTC
commit 93c6b1ca84866fabe4601b1e93145209e4df1177
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Wed Jan 30 22:16:39 2019 +0000

    sw_sync: Initialise struct before use
    
    sw_sync: ../lib/igt_core.c:1592: __igt_fork_helper: Assertion `!proc->running'
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108889
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Jani Nikula <jani.nikula@intel.com>
Comment 8 Martin Peres 2019-03-08 14:29:48 UTC
(In reply to Chris Wilson from comment #7)
> commit 93c6b1ca84866fabe4601b1e93145209e4df1177
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Wed Jan 30 22:16:39 2019 +0000
> 
>     sw_sync: Initialise struct before use
>     
>     sw_sync: ../lib/igt_core.c:1592: __igt_fork_helper: Assertion
> `!proc->running'
>     
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108889
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Jani Nikula <jani.nikula@intel.com>

Thanks, but we still get the following :)

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_231/fi-bsw-n3050/igt@sw_sync@sync_busy_fork.html

Starting subtest: sync_busy_fork
sw_sync: ../lib/igt_core.c:1693: igt_stop_helper: Assertion `helper_was_alive(proc, status)' failed.
Received signal SIGABRT.
Stack trace: 
 #0 [fatal_sig_handler+0xd5]
 #1 [killpg+0x40]
 #2 [gsignal+0xc7]
 #3 [abort+0x141]
 #4 [uselocale+0x33a]
 #5 [__assert_fail+0x42]
 #6 [igt_stop_helper+0xc3]
 #7 [test_sync_busy_fork+0x10e]
 #8 [__real_main860+0x1bc]
 #9 [main+0x44]
 #10 [__libc_start_main+0xe7]
 #11 [_start+0x2a]
Comment 9 Chris Wilson 2019-03-16 08:39:17 UTC
commit 520b6f7fbb6cb7dc99d689cc6c073fae1ccc8e7f
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Fri Mar 15 23:00:33 2019 +0000

    sw_sync: Wait until the end
    
    If we allow a fork-helper to exit normally before the parent tries to
    reap the helper (fork-helpers are intended to be only used for
    persistent background loads), then the helper unhelpful aborts because
    the child exited cleanly.
    
    Simplify by not using the so called helpers at all.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108889
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>

Accidentally pushed, but worksforme so I hope no one notices.
Comment 10 CI Bug Log 2019-07-31 13:50:50 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.